// BKMessageBox.h: interface for the CBKMessageBox class.
//

#pragma once
//#include "stdafx.h"

class CBKMessageBox
{
	public:
		CBKMessageBox::CBKMessageBox()
		{
		};
		CBKMessageBox(CString strText, UINT nType, UINT nIDHelp = 0)
		{
			Show(strText.GetBuffer(), nType, nIDHelp);
		};
		CBKMessageBox(LPCTSTR lpszText, UINT nType, UINT nIDHelp = 0)
		{
			Show(lpszText, nType, nIDHelp);
		};
		CBKMessageBox(UINT strID, UINT nType, UINT nIDHelp = 0)
		{
			Show(strID, nType, nIDHelp);
		};
		virtual ~CBKMessageBox()
		{
		};

		int     Show(LPCTSTR lpszText, UINT nType = MB_OK, UINT nIDHelp = 0)
		{
			return AfxMessageBox(lpszText, nType, nIDHelp);
		};
		int     Show(UINT strID, UINT nType = MB_OK, UINT nIDHelp = 0)
		{
			CString strMessage;
			strMessage.LoadString(strID);
			return Show(strMessage, nType, nIDHelp);
		};
};

